summaryrefslogtreecommitdiffstats
path: root/source/script/installscripts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/script/installscripts.sh')
-rwxr-xr-xsource/script/installscripts.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/source/script/installscripts.sh b/source/script/installscripts.sh
new file mode 100755
index 00000000000..a3defa16e1a
--- /dev/null
+++ b/source/script/installscripts.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# this script courtesy of James_K._Foote.PARC@xerox.com
+INSTALLPERMS=$1
+BINDIR=$2
+SRCDIR=$3
+
+echo Installing scripts in $BINDIR
+
+for d in $BINDIR; do
+ if [ ! -d $d ]; then
+ mkdir $d
+ if [ ! -d $d ]; then
+ echo Failed to make directory $d
+ exit 1
+ fi
+ fi
+done
+
+cp $SRCDIR/smbtar $BINDIR
+cp $SRCDIR/addtosmbpass $BINDIR
+echo Setting permissions on scripts
+chmod $INSTALLPERMS $BINDIR/smbtar
+chmod $INSTALLPERMS $BINDIR/addtosmbpass
+
+echo Scripts installed
+exit 0